ds-blue-logo
Preview  |  SOLIDWORKS USER FORUM
Use your SOLIDWORKS ID or 3DEXPERIENCE ID to log in.
DLDan Lapierre19/06/2008
All of the selection filters are turned off after inserting the BOM. I can't seam to get it turned back on. Has anyone else seen this problem? If I manualy insert the BOM everything is fine.

Thanks,


Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
Set SelMgr = Part.SelectionManager
boolstatus = Part.ActivateView("Drawing View1")
boolstatus = Part.Extension.SelectByID2("Drawing View1", "DRAWINGVIEW", 0, 0, 0, False, 0, Nothing, 0)

Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swSelMgr = swModel.SelectionManager
Set swFeatMgr = swModel.FeatureManager

' Select view
Set swView = swSelMgr.GetSelectedObject6(1, 0)

AnchorType = SwConst.swBOMConfigurationAnchorType_e.swBOMConfigurationAnchor_TopRight

BomType = SwConst.swBomType_e.swBomType_TopLevelOnly

Configuration = ""

TableTemplate = "T:\templates\BOMs\Part_Single_Item.sldbomtbt"


' Insert BOM table

Set swBomAnn = swView.InsertBomTable2(True, 0.4, 0.3, AnchorType, BomType, Configuration, TableTemplate)